Bug 77038 - Update port: math/vtk*
Summary: Update port: math/vtk*
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sam Lawrance
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-02-02 22:00 UTC by Mykola Khotyaintsev
Modified: 2005-04-23 15:15 UTC (History)
1 user (show)

See Also:


Attachments
vtk-port.sh (170.10 KB, text/plain)
2005-02-02 22:00 UTC, Mykola Khotyaintsev
no flags Details
diff_vtk (4.79 KB, text/x-diff; charset="us-ascii")
2005-02-03 11:38 UTC, Mykola Khotyaintsev
no flags Details
diff_vtk-data (6.86 KB, text/x-diff; charset="us-ascii")
2005-02-03 11:38 UTC, Mykola Khotyaintsev
no flags Details
diff_vtk-java (3.45 KB, text/x-diff; charset="us-ascii")
2005-02-03 11:38 UTC, Mykola Khotyaintsev
no flags Details
diff_vtk-examples (8.29 KB, text/x-diff; charset="us-ascii")
2005-02-03 11:38 UTC, Mykola Khotyaintsev
no flags Details
diff_vtk-headers (8.92 KB, text/x-diff; charset="us-ascii")
2005-02-03 11:38 UTC, Mykola Khotyaintsev
no flags Details
diff_vtk-python (720 bytes, text/x-diff; charset="us-ascii")
2005-02-03 11:38 UTC, Mykola Khotyaintsev
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mykola Khotyaintsev 2005-02-02 22:00:41 UTC
1) The port is updatet to VTK 4.4. This fixes the BUG #75024 (http://www.freebsd.org/cgi/query-pr.cgi?pr=75024).

2) i386-only flag from vtk/Makefile is removed. This should fix the BUG #74904 (http://www.freebsd.org/cgi/query-pr.cgi?pr=74904)

3) RESTRICTED flag is removed due to the copyright.
Comment 1 Volker Stolz freebsd_committer 2005-02-03 09:58:36 UTC
State Changed
From-To: open->feedback

Please submit updates in "unified diff" format as per the 
Porter's Handbook!
Comment 2 Mykola Khotyaintsev 2005-02-03 11:38:11 UTC
Sorry :o) Hereby I attach the diffs.

Please note, that files "patch-IO-vtkBMPReader.cxx" and  
"patch-IO-vtkImageReader.cxx" are removed from vtk/files/.

The port vtk-tcl remains untouched.
Comment 3 Volker Stolz freebsd_committer 2005-02-03 12:03:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->vs

Claim this one
Comment 4 Volker Stolz freebsd_committer 2005-03-15 08:46:37 UTC
State Changed
From-To: feedback->open

Release this one: I can't do extensive testing on 5.x atm :( 
Apologies for sitting on this so long. 


Comment 5 Volker Stolz freebsd_committer 2005-03-15 08:46:37 UTC
Responsible Changed
From-To: vs->freebsd-ports-bugs

Release this one: I can't do extensive testing on 5.x atm :( 
Apologies for sitting on this so long.
Comment 6 Sam Lawrance freebsd_committer 2005-04-12 14:34:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lawrance

Grab.
Comment 7 Sam Lawrance freebsd_committer 2005-04-14 08:07:24 UTC
Hello,

The pkg-plist for math/vtk-examples needs to be updated as well. Can you
please look into it?
Comment 8 Sam Lawrance freebsd_committer 2005-04-14 08:10:53 UTC
State Changed
From-To: open->feedback

Submitter asked for feedback.
Comment 9 Sam Lawrance freebsd_committer 2005-04-14 13:23:05 UTC
State Changed
From-To: feedback->open

Feedback received (newbie committer mistake).
Comment 10 Sam Lawrance freebsd_committer 2005-04-23 15:13:50 UTC
State Changed
From-To: open->closed

Committed with some small changes, thanks! 
Please remember to submit updates in unified diff format :)